Raul::Array< T > Class Template Reference
Realtime Audio Utility Library

An array. More...

`#include <Array.hpp>`

Inheritance diagram for Raul::Array< T >:
Collaboration diagram for Raul::Array< T >:

## Public Member Functions

| Array (size_t size=0)
| Array (size_t size, T initial_value)
| Array (size_t size, const Array< T > &contents)
| Array (size_t size, const Array< T > &contents, T initial_value=T())
virtual void | alloc (size_t num_elems)
virtual void | alloc (size_t num_elems, T initial_value)
size_t | size () const
T & | operator[] (size_t i) const
T & | at (size_t i) const

## Detailed Description

### template<class T>
class Raul::Array< T >

An array.

Has a stack-like push_back(), but is NOT a resizeable array (the size given to the constructor or alloc method is the maximum number of elements which can be pushed).

The documentation for this class was generated from the following file:

- Array.hpp